{
	"root": true,
	"extends": [
		"wikimedia",
		"wikimedia/language/ES2020"
	],
	"overrides": [
		{
			"files": [ "**/*.vue", "**/*.ts", "**/*.js" ],
			"plugins": [ "@typescript-eslint/eslint-plugin" ],
			"parserOptions": {
				"parser": "@typescript-eslint/parser",
				"sourceType": "module",
				"extraFileExtensions": [ ".vue" ]
			},
			"extends": [
				"eslint:recommended",
				"plugin:@typescript-eslint/recommended"
			]
		},
		{
			"files": [ "**/*.vue" ],
			"parser": "vue-eslint-parser",
			"extends": [
				"wikimedia/vue3-common",
				"wikimedia/client-common"
			],
			"rules": {
				"vue/no-undef-components": [ "error", {
					"ignorePatterns": [
						"router(\\-\\w+)+"
					]
				} ],
				"vue/component-name-in-template-casing": [ "error", "kebab-case" ],
				"vue/custom-event-name-casing": [ "error", "kebab-case" ]
			}
		}
	]
}
